//****************************************************************************
//
//                          Intel Corporation
//                    Jones Farm, Hillsboro, Oregon
//                           (503) 696-8080
//
//                Intel Corporation Proprietary Information
//        Copyright (c) 2008 Intel Corporation, All Rights Reserved
//****************************************************************************

//
// One Boot Flash Update Package for S3200SHC
// 	

// Check Platform ID
//PROBE           "SYSTEM" "S3200SHC"
//FOUND           "SH"  ""

SET "SH"
IFSET "SH"
	// Check for BMC & BIOS dependencies
	//PROBE BIOSVER "20+"
	//FOUND "BIOSOK" "BIOSNOTOK" 	

	//PROBE BMCVER "0.24+" 
	//FOUND "BMCOK" "BMCNOTOK"

	SET "BIOSOK"
	SET "BMCOK"

	IFSET "BMCOK" "BIOSOK"
		FWDNAME 	"3210SH31.hex"
		CFGNAME 	"MASTER.CFG"	
		BIOSNAME 	"R0046.Cap"
	ELSE
		IFSET BIOSNOTOK
			DISPLAY "ERROR: Current BIOS is not compatible to be updated to this package!"
		ENDIF
		IFSET BMCNOTOK
			DISPLAY "ERROR: Current BMC Firmware is not compatible to be updated to this package!"
		ENDIF
	ENDIF //BMC & BIOS CHECK

ELSE
	DISPLAY "ERROR: Update package is not intended for this platform!"
	ERRORLEVEL 09
ENDIF //platform ID check

// End of configuration file



